# $Revision: 1.49 $, $Date: 2009/02/07 16:56:23 $
#
# Conditional build:
%bcond_without	dist_kernel	# without distribution kernel
#
%define		rel	34
Summary:	Linux driver for Acer notebook special Hot Keys
Summary(pl.UTF-8):	Sterownik dla Linuksa obsługujący specjalne klawisze w notebookach Acer
Name:		acerhk
Version:	0.5.35
Release:	%{rel}
License:	GPL
Group:		Base/Kernel
Source0:	http://www.cakey.de/acerhk/archives/%{name}-%{version}.tar.bz2
# Source0-md5:	551285657c8ba338f23595af257d21df
Patch0:		%{name}-2.6.24.patch
URL:		http://www.cakey.de/acerhk/
BuildRequires:	%{kgcc_package}
%{?with_dist_kernel:BuildRequires:	kernel-module-build >= 3:2.6.20.2}
BuildRequires:	rpmbuild(macros) >= 1.379
Requires(post,postun):	/sbin/depmod
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	modules	acerhk

%description
This is a Linux driver for Acer notebook special Hot Keys.

%description -l pl.UTF-8
Sterownik dla Linuksa pozwalający uaktywnić specjalne przyciski w
notebookach Acer.

%package -n kernel%{_alt_kernel}-misc-acerhk
Summary:	Linux driver for Acer notebook special Hot Keys
Summary(pl.UTF-8):	Sterownik dla Linuksa obsługujący specjalne klawisze w notebookach Acer
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel}
Requires(post,postun):	/sbin/depmod

%description -n kernel%{_alt_kernel}-misc-acerhk
This is a Linux driver for Acer notebook special Hot Keys.

%description -n kernel%{_alt_kernel}-misc-acerhk -l pl.UTF-8
Sterownik dla Linuksa pozwalający uaktywnić specjalne przyciski w
notebookach Acer.

%prep
%setup -q
%patch0 -p1

%build
%build_kernel_modules -m %{modules}

%install
rm -rf $RPM_BUILD_ROOT

%install_kernel_modules -m %{modules} -d misc

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-misc-%{name}
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-misc-%{name}
%depmod %{_kernel_ver}

%files -n kernel%{_alt_kernel}-misc-%{name}
%defattr(644,root,root,755)
%doc NEWS INSTALL README doc/*
/lib/modules/%{_kernel_ver}/misc/*.ko*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: acerhk.spec,v $
Revision 1.49  2009/02/07 16:56:23  arekm
- release 34

Revision 1.48  2009/01/25 12:55:12  arekm
- release 33

Revision 1.47  2009/01/19 12:29:52  arekm
- release 32

Revision 1.46  2009/01/15 12:53:44  arekm
- release 31

Revision 1.45  2009/01/10 22:37:06  arekm
- release 30

Revision 1.44  2008/12/19 06:30:25  arekm
- release 29

Revision 1.43  2008/12/14 11:42:11  arekm
- release 28

Revision 1.42  2008/12/06 08:59:34  arekm
- release 27

Revision 1.41  2008/11/21 16:15:11  arekm
- release 26

Revision 1.40  2008/11/09 12:10:37  radek
- release 25

Revision 1.39  2008/11/04 07:41:21  arekm
- release 24

Revision 1.38  2008/10/19 12:31:47  radek
- rel 23

Revision 1.37  2008/10/13 12:42:36  radek
- rel 22

Revision 1.36  2008/09/04 13:18:57  radek
- fixed typo in previous change

Revision 1.35  2008/09/04 13:17:20  radek
- release 21: added -2.6.24.patch

Revision 1.34  2008/06/24 11:23:48  arekm
- release 20

Revision 1.33  2008-03-22 16:12:24  radek
- release 19

Revision 1.32  2008-03-10 12:20:58  arekm
- release 18

Revision 1.31  2008-03-02 18:14:55  radek
- release 17

Revision 1.30  2008-02-11 11:31:34  arekm
- rel 16

Revision 1.29  2008-01-22 22:53:51  glen
- rel 15 (2.6.16.59-2)

Revision 1.28  2007-12-26 01:12:33  qboosh
- removed redundant _orig_name macro

Revision 1.27  2007-12-17 14:16:56  arekm
- rel 14

Revision 1.26  2007-12-15 11:55:55  arekm
- rel 13

Revision 1.25  2007-11-29 08:00:38  arekm
- rel 12

Revision 1.24  2007-11-24 11:27:23  radek
- release 11

Revision 1.23  2007-11-13 22:59:36  radek
- release 10

Revision 1.22  2007/10/24 13:51:20  arekm
- rel 9

Revision 1.21  2007/10/24 09:30:25  arekm
- no kernel version in src.rpm name

Revision 1.20  2007/10/12 12:49:43  arekm
- rel 7

Revision 1.19  2007/10/06 14:53:58  radek
- release 6 (rebuild with new kernel)

Revision 1.18  2007/08/13 23:32:07  radek
- release 5 (rebuild with new kernel)

Revision 1.17  2007/06/08 21:45:35  arekm
- rel 4

Revision 1.16  2007/05/04 00:20:57  shadzik
- remove smp files section
- rel 3

Revision 1.15  2007/05/04 00:19:39  shadzik
- proper kernel macros and kernel-module-build version

Revision 1.14  2007/04/22 11:23:34  radek
- _rel 2: rebuild with new kernel

Revision 1.13  2007/03/26 11:37:17  radek
- version 0.5.35, new URL, switched to new macros, SMP-only

Revision 1.12  2007/02/13 08:06:37  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:00  baggins
- converted to UTF-8

Revision 1.10  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.9  2006/08/23 15:38:33  radek
- ExclusiveArch: ix86

Revision 1.8  2006/06/26 07:40:51  tiwek
- up to 0.5.33
- STBR

Revision 1.7  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.6  2006/02/16 14:26:08  tommat
- new module build way
- ver up to 0.5.32, thanks to Adam Skucin'ski

Revision 1.5  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.4  2004/11/23 16:00:38  qboosh
- without_smp fixes (based on patch from Lukasz Masko)

Revision 1.3  2004/11/23 12:34:10  qboosh
- killed CRs

Revision 1.2  2004/11/22 22:17:49  qboosh
- rcs tags, cleanups
